def lunar_add(a, b):
    a, b = str(a), str(b)
    max_len = max(len(a), len(b))
    a, b = a.zfill(max_len), b.zfill(max_len)
    result = ''.join(str(max(int(ai), int(bi))) for ai, bi in zip(a, b))
    return result

def lunar_umn(a, b):
    a, b = str(a), str(b)
    results = []

    for i, bi in enumerate(reversed(b)):
        row_result = ''.join(str(min(int(ai), int(bi))) for ai in a)
        results.append(row_result + '0' * i)
    result = results[0]
    for r in results[1:]:
        result = lunar_add(result, r)

    return result

def main():
    a = input("").strip()
    b = input("").strip()
    lunar_sum = lunar_add(a, b)
    lunar_product = lunar_umn(a, b)
    print({lunar_sum})
    print({lunar_product})

if __name__ == "__main__":
    main()
