def find_path_to_fraction(a, b):
    path = []
    left_numerator, left_denominator = 0, 1
    right_numerator, right_denominator = 1, 0

    while True:
        mid_numerator = left_numerator + right_numerator
        mid_denominator = left_denominator + right_denominator

        if mid_numerator * b < a * mid_denominator:
            path.append('R')
            left_numerator, left_denominator = mid_numerator, mid_denominator
        elif mid_numerator * b > a * mid_denominator:
            path.append('L')
            right_numerator, right_denominator = mid_numerator, mid_denominator
        else:
            return ''.join(path)

a, b = map(int, input().split())
result = find_path_to_fraction(a, b)
print(result)
