def find_path(a, b):
    path = ""
    left_numerator, left_denominator = 0, 1
    right_numerator, right_denominator = 1, 0
    while True:
        current_numerator = left_numerator + right_numerator
        current_denominator = left_denominator + right_denominator

        if current_numerator * b == current_denominator * a:
            return path

        if current_numerator * b < current_denominator * a:
            path += 'R'
            left_numerator, left_denominator = current_numerator, current_denominator
        else:
            path += 'L'
            right_numerator, right_denominator = current_numerator, current_denominator
        if left_denominator + right_denominator > 1_000_000 or left_numerator + right_numerator > 1_000_000:
            break

    return "no"


a, b = map(int, input().split())
print(find_path(a, b))
